<?php
/**
 * * @package               Joomla
* @subpackage    com_ajofields
* @version            0.9.0
* @release            2020-02-26 06:30:36
* @copyright        Copyright (C) 2020 Danny Buytaert. All rights reserved. All rights reserved.
* @author             Danny Buytaert
* @license             GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
?>

<?php $li = $displayData;
$case = "normal";


if ($li->fields == "tags") {
    $case = "special";
    $tagLayout = new JLayoutFile('fields.tags');
    echo $tagLayout->render($li->var->itemTags);
}

if ($li->fields == "images_image_intro") {
	if (isset($li->var)) {
    if ($li->var) {
        $case = "special";
        $attribs['class'] = "pic";
        $attribs['width'] = "100px";
        $url = JURI::root() . $li->var;
        echo JHTML::image($url, $li->var, $attribs);
        echo '<br/>';
        echo '<span class="small">'.$li->var.'</span>';
    }
	}
}
if ($li->fields == "images_image_fulltext") {
	if (isset($li->var)) {
    if ($li->var) {
        $case = "special";
        $attribs['class'] = "pic";
        $attribs['width'] = "100px";
        $url = JURI::root() . $li->var;
        echo JHTML::image($url, $li->var, $attribs, $li->var);
        echo '<br/>';
        echo '<span class="small">'.$li->var.'</span>';
    }
	}
}


if ($li->fields == "image") {
	if (isset($li->var)) {
		if ($li->var) {
			$case = "special";
			$attribs['class'] = "pic";
			$attribs['width'] = "100px";
			$url = JURI::root() . $li->var;
			echo JHTML::image($url, $li->var, $attribs);
			echo '<br/>';
            echo '<span class="small">'.$li->var.'</span>';
		}
	}
}

if (($li->fields == "hits") OR ($li->fields == "rating") OR ($li->fields == "rating_count")) {
    $case = "special";
    if ($li->fields == "hits") {
        echo ' <span class="badge badge-info" >';
    }
    if ($li->fields == "rating") {
        echo ' <span class="badge badge-warning" >';
    }
    if ($li->fields == "rating_count") {
        echo ' <span class="badge badge-success" >';
    }
    echo $this->escape($li->var);

    echo ' </span >';

}

if (($li->fields == "created") OR ($li->fields == "modified") OR ($li->fields == "publish_up")) {
	$case = "special";

	$date = $li->var;
	echo $date > 0 ? JHtml::_('date', $date, JText::_($li->date_format)) : '-';
}






if ($li->fields == "access") {
	$case = "special";

}



if ($case == "normal") {
	if (isset ($li->var)){
		echo $this->escape($li->var);
	}

}

?>