<?php
/**
 * * @package               Joomla
* @subpackage    com_ajofields
* @version            0.9.0
* @release            2020-02-26 06:30:36
* @copyright        Copyright (C) 2020 Danny Buytaert. All rights reserved. All rights reserved.
* @author             Danny Buytaert
* @license             GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('JPATH_BASE') or die;

$data = $displayData;

$icons = array();
$icons['icon-joomla'] = 'joomla';
$icons['icon-arrow-up'] = 'arrow-up';
$icons['icon-arrow-right'] = 'arrow-right';
$icons['icon-arrow-down'] = 'arrow-down';
$icons['icon-arrow-left'] = 'arrow-left';
$icons['icon-arrow-first'] = 'arrow-first';
$icons['icon-arrow-last'] = 'arrow-last';
$icons['icon-arrow-up-2'] = 'arrow-up-2';
$icons['icon-arrow-right-2'] = 'arrow-right-2';
$icons['icon-arrow-down-2'] = 'arrow-down-2';
$icons['icon-arrow-left-2'] = 'arrow-left-2';
$icons['icon-arrow-up-3'] = 'arrow-up-3';
$icons['icon-arrow-right-3'] = 'arrow-right-3';
$icons['icon-arrow-down-3'] = 'arrow-down-3';
$icons['icon-arrow-left-3'] = 'arrow-left-3';
$icons['icon-menu-2'] = 'menu-2';
$icons['icon-arrow-up-4'] = 'arrow-up-4';
$icons['icon-arrow-right-4'] = 'arrow-right-4';
$icons['icon-arrow-down-4'] = 'arrow-down-4';
$icons['icon-arrow-left-4'] = 'arrow-left-4';
$icons['icon-share'] = 'share';
$icons['icon-undo'] = 'undo';
$icons['icon-forward-2'] = 'forward-2';
$icons['icon-backward-2'] = 'backward-2';
$icons['icon-unblock'] = 'unblock';
$icons['icon-undo-2'] = 'undo-2';
$icons['icon-move'] = 'move';
$icons['icon-expand'] = 'expand';
$icons['icon-contract'] = 'contract';
$icons['icon-expand-2'] = 'expand-2';
$icons['icon-contract-2'] = 'contract-2';
$icons['icon-play'] = 'play';
$icons['icon-pause'] = 'pause';
$icons['icon-stop'] = 'stop';
$icons['icon-previous'] = 'previous';
$icons['icon-next'] = 'next';
$icons['icon-first'] = 'first';
$icons['icon-last'] = 'last';
$icons['icon-play-circle'] = 'play-circle';
$icons['icon-pause-circle'] = 'pause-circle';
$icons['icon-stop-circle'] = 'stop-circle';
$icons['icon-backward-circle'] = 'backward-circle';
$icons['icon-forward-circle'] = 'forward-circle';
$icons['icon-loop'] = 'loop';
$icons['icon-shuffle'] = 'shuffle';
$icons['icon-search'] = 'search';
$icons['icon-zoom-in'] = 'zoom-in';
$icons['icon-zoom-out'] = 'zoom-out';
$icons['icon-apply'] = 'apply';
$icons['icon-pencil-2'] = 'pencil-2';
$icons['icon-brush'] = 'brush';
$icons['icon-save-new'] = 'save-new';
$icons['icon-minus-sign'] = 'minus-sign';
$icons['icon-delete'] = 'delete';
$icons['icon-publish'] = 'publish';
$icons['icon-new'] = 'new';
$icons['icon-plus-circle'] = 'plus-circle';
$icons['icon-minus'] = 'minus';
$icons['icon-ban-circle'] = 'ban-circle';
$icons['icon-unpublish'] = 'unpublish';
$icons['icon-cancel-circle'] = 'cancel-circle';
$icons['icon-checkmark-2'] = 'checkmark-2';
$icons['icon-checkmark-circle'] = 'checkmark-circle';
$icons['icon-info'] = 'info';
$icons['icon-info-2'] = 'info-2';
$icons['icon-question'] = 'question';
$icons['icon-question-2'] = 'question-2';
$icons['icon-notification'] = 'notification';
$icons['icon-notification-2'] = 'notification-2';
$icons['icon-pending'] = 'pending';
$icons['icon-warning-2'] = 'warning-2';
$icons['icon-checkbox-unchecked'] = 'checkbox-unchecked';
$icons['icon-checkin'] = 'checkin';
$icons['icon-checkbox-partial'] = 'checkbox-partial';
$icons['icon-square'] = 'square';
$icons['icon-radio-unchecked'] = 'radio-unchecked';
$icons['icon-radio-checked'] = 'radio-checked';
$icons['icon-circle'] = 'circle';
$icons['icon-signup '] = 'signup ';
$icons['icon-grid'] = 'grid';
$icons['icon-grid-2'] = 'grid-2';
$icons['icon-menu '] = 'menu';
$icons['icon-list'] = 'list';
$icons['icon-list-2'] = 'list-2';
$icons['icon-menu-3'] = 'menu-3';
$icons['icon-folder-open'] = 'folder-open';
$icons['icon-folder-close'] = 'folder-close';
$icons['icon-folder-plus'] = 'folder-plus';
$icons['icon-folder-minus'] = 'folder-minus';
$icons['icon-folder-3'] = 'folder-3';
$icons['icon-folder-plus-2 '] = 'folder-plus-2';
$icons['icon-folder-remove'] = 'folder-remove';
$icons['icon-file'] = 'file';
$icons['icon-file-2 '] = 'file-2';
$icons['icon-file-add'] = 'file-add';
$icons['icon-file-minus'] = 'file-minus';
$icons['icon-file-check'] = 'file-check';
$icons['icon-file-remove'] = 'file-remove';
$icons['icon-save-copy'] = 'save-copy';
$icons['icon-stack'] = 'stack';
$icons['icon-tree'] = 'tree';
$icons['icon-tree-2'] = 'tree-2';
$icons['icon-paragraph-left'] = 'paragraph-left';
$icons['icon-paragraph-center'] = 'paragraph-center';
$icons['icon-paragraph-right'] = 'paragraph-right';
$icons['icon-paragraph-justify'] = 'paragraph-justify';
$icons['icon-screen'] = 'screen';
$icons['icon-tablet'] = 'tablet';
$icons['icon-mobile'] = 'mobile';
$icons['icon-box-add '] = 'box-add';
$icons['icon-box-remove'] = 'box-remove';
$icons['icon-upload'] = 'upload';
$icons['icon-download'] = 'download';
$icons['icon-home '] = 'home ';
$icons['icon-home-2'] = 'home-2';
$icons['icon-out-2'] = 'out-2';
$icons['icon-out-3'] = 'out-3';
$icons['icon-link'] = 'link';
$icons['icon-picture'] = 'picture';
$icons['icon-pictures'] = 'pictures';
$icons['icon-palette'] = 'palette';
$icons['icon-camera'] = 'camera';
$icons['icon-camera-2'] = 'camera-2';
$icons['icon-play-2'] = 'play-2';
$icons['icon-music'] = 'music';
$icons['icon-user'] = 'user';
$icons['icon-users'] = 'users';
$icons['icon-vcard'] = 'vcard';
$icons['icon-address'] = 'address';
$icons['icon-share-alt'] = 'share-alt';
$icons['icon-out'] = 'out';
$icons['icon-enter'] = 'enter';
$icons['icon-exit'] = 'exit';
$icons['icon-comment'] = 'comment';
$icons['icon-comments-2'] = 'comments-2';
$icons['icon-quote'] = 'quote';
$icons['icon-quote-2'] = 'quote-2';
$icons['icon-quote-3'] = 'quote-3';
$icons['icon-phone'] = 'phone';
$icons['icon-phone-2'] = 'phone-2';
$icons['icon-envelope'] = 'envelope';
$icons['icon-envelope-opened'] = 'envelope-opened';
$icons['icon-unarchive'] = 'unarchive';
$icons['icon-archive'] = 'archive';
$icons['icon-briefcase'] = 'briefcase';
$icons['icon-tag'] = 'tag ';
$icons['icon-tag-2'] = 'tag-2';
$icons['icon-tags'] = 'tags';
$icons['icon-tags-2'] = 'tags-2';
$icons['icon-cog'] = 'cog';
$icons['icon-cogs'] = 'cogs';
$icons['icon-screwdriver'] = 'screwdriver';
$icons['icon-wrench'] = 'wrench';
$icons['icon-equalizer'] = 'equalizer';
$icons['icon-dashboard'] = 'dashboard';
$icons['icon-switch '] = 'switch ';
$icons['icon-filter'] = 'filter';
$icons['icon-purge'] = 'purge';
$icons['icon-checkedout'] = 'checkedout';
$icons['icon-unlock'] = 'unlock';
$icons['icon-key'] = 'key';
$icons['icon-support'] = 'support';
$icons['icon-database'] = 'database';
$icons['icon-scissors'] = 'scissors';
$icons['icon-health'] = 'health';
$icons['icon-wand'] = 'wand';
$icons['icon-eye-open'] = 'eye-open';
$icons['icon-eye-close'] = 'eye-close';
$icons['icon-clock'] = 'clock';
$icons['icon-compass'] = 'compass';
$icons['icon-broadcast'] = 'broadcast';
$icons['icon-book'] = 'book';
$icons['icon-lightning'] = 'lightning';
$icons['icon-print'] = 'print';
$icons['icon-feed'] = 'feed';
$icons['icon-calendar'] = 'calendar';
$icons['icon-calendar-2'] = 'calendar-2';
$icons['icon-calendar-3'] = 'calendar-3';
$icons['icon-pie'] = 'pie';
$icons['icon-bars'] = 'bars';
$icons['icon-chart'] = 'chart';
$icons['icon-power-cord'] = 'power-cord';
$icons['icon-cube'] = 'cube';
$icons['icon-puzzle'] = 'puzzle';
$icons['icon-attachment'] = 'attachment';
$icons['icon-lamp'] = 'lamp';
$icons['icon-pin'] = 'pin';
$icons['icon-location'] = 'location';
$icons['icon-shield'] = 'shield';
$icons['icon-flag'] = 'flag';
$icons['icon-flag-3 '] = 'flag-3 ';
$icons['icon-bookmark'] = 'bookmark';
$icons['icon-bookmark-2'] = 'bookmark-2';
$icons['icon-heart '] = 'heart ';
$icons['icon-heart-2'] = 'heart-2';
$icons['icon-thumbs-up '] = 'thumbs-up ';
$icons['icon-thumbs-down'] = 'thumbs-down';
$icons['icon-unfeatured'] = 'unfeatured';
$icons['icon-star-2'] = 'star-2';
$icons['icon-star'] = 'star';
$icons['icon-smiley'] = 'smiley';
$icons['icon-smiley-2'] = 'smiley-2';
$icons['icon-smiley-sad'] = 'smiley-sad';
$icons['icon-smiley-sad-2'] = 'smiley-sad-2';
$icons['icon-smiley-neutral'] = 'smiley-neutral';
$icons['icon-smiley-neutral-2'] = 'smiley-neutral-2';
$icons['icon-cart'] = 'cart';
$icons['icon-basket'] = 'basket';
$icons['icon-credit'] = 'credit';
$icons['icon-credit-2'] = 'credit-2';
$icons['icon-expired'] = 'expired';
$icons['icon-edit'] = 'edit';
$icons['icon-publish'] = 'publish';
$icons['icon-unpublish'] = 'unpublish';
$icons['icon-featured'] = 'featured';
$icons['icon-back'] = 'back';
$icons[''] = 'empty';



ksort($icons);



// $data->value is set if there's a default id specified in the xml file
$value = $data->value;

// $data->id will be jform_request_xxx where xxx is the name of the field in the xml file
$modalId = 'Ajoicon_' . $data->id;

// Add the modal field script to the document head.
JHtml::_('jquery.framework');
JHtml::_('script', 'system/modal-fields.js', array('version' => 'auto', 'relative' => true));

// our callback function from the modal to the main window:
JFactory::getDocument()->addScriptDeclaration("
			jQuery(function($){ 
			$('#ModalSelect" . $modalId . "').on('click', '.icon', function(){
    var value = $(this).find('i').attr('class');
    $('#" . $data->id . "_select span').removeClass().addClass(value);
    $('#" . $data->id . "_id').val(value);
    $('#ModalSelect" . $modalId . "').modal('hide');
});
			
			
			})
			");


$html = '<span class="">';


// html for the Select button
$html .= '<a'
    . ' class="btn hasTooltip"'
    . ' id="' . $data->id . '_select"'
    . ' data-toggle="modal"'
    . ' role="button"'
    . ' href="#ModalSelect' . $modalId . '"'
    . ' title="' . JHtml::tooltipText('COM_AJOFIELDS_SELECT_ICON_TOOLTIP') . '">'
    . '<span  class="' . $data->value . '" aria-hidden="true"></span></a>';


$html .= '</span>';


// class='required' for client side validation.
$class = $data->required ? ' class="required modal-value"' : '';

// hidden input field to store the helloworld record id
$html .= '<input type="hidden" id="' . $data->id . '_id" ' . $class
    . ' data-required="' . (int)$data->required . '" name="' . $data->name
    . '" value="' . $value . '" />';

echo $html; ?>
<div id="ModalSelect<?php echo $modalId ?>" class="modal hide fade listicons" tabindex="-1" role="dialog"
     aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
        <h3 id="myModalLabel"><?php echo JText::_('COM_AJOFIELDS_SELECT_ICON')?></h3>
        <p>Tip! Save the column set first before you choose icon for a field.</p>
    </div>
    <div class="modal-body ">
        <div class="">
        <?php foreach ($icons as $key => $icon) { ?>
            <div class="icon_choose">
                <div class="icon"><i class="<?php echo $key ?>"></i></div>
                <div class="icon_text"><?php echo $icon ?></div>
            </div>
        <?php } ?>
    </div>
    </div>
</div>
