<?php
/**
 * * @package               Joomla
* @subpackage    com_ajofields
* @version            0.9.0
* @release            2020-02-26 06:30:36
* @copyright        Copyright (C) 2020 Danny Buytaert. All rights reserved. All rights reserved.
* @author             Danny Buytaert
* @license             GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;



/**
 * Fields Contexts
 *
 * @since  3.7.0
 */
class JFormFieldIcomoon extends JFormField
{
    /**
     * The form field type.
     *
     * @var		string
     * @since	1.6
     */
    public $type = 'Icomoon';


    protected function getInput()
    {

        return JLayoutHelper::render("fields.icon", $this);
    }



}
