<?php
/**
 * * @package               Joomla
* @subpackage    com_ajofields
* @version            0.9.0
* @release            2020-02-26 06:30:36
* @copyright        Copyright (C) 2020 Danny Buytaert. All rights reserved. All rights reserved.
* @author             Danny Buytaert
* @license             GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;


JFormHelper::loadFieldClass('list');

/**
 * Supports an HTML select list of extra charge types
 *
 * @package     Solidres
 * @subpackage	Extra
 * @since		1.6
 */
class JFormFieldListcontexts extends JFormFieldList
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	public $type = 'Listcontexts';

	/**
	 * Method to get the field options.
	 *
	 * @return  array  The field option objects.
	 *
	 * @since   1.6
	 */
	public function getOptions()
	{
		$options = array();


        $options[] = JHTML::_('select.option', 'com_content.article', 'article' );




		return array_merge(parent::getOptions(), $options);
	}
}