<?php
/**
 * * @package               Joomla
* @subpackage    com_ajofields
* @version            0.9.0
* @release            2020-02-26 06:30:36
* @copyright        Copyright (C) 2020 Danny Buytaert. All rights reserved. All rights reserved.
* @author             Danny Buytaert
* @license             GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;


$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root() . 'media/com_ajofields/css/style.css');
$results= $this->helper->getAllProfiles();
?>
<div id="j-sidebar-container" class="span2">
    <?php echo $this->sidebar; ?>
</div>
<div id="j-main-container" class="span10">


    <div class="row-fluid">
        <div class="span7 pos-left">




              <h2><?php echo  JText::_('COM_AJOFIELDS_TITLE_MY_COLUMN_SETS') ?></h2>


<?php      foreach ($results as $result) {?>

    <a href="index.php?option=com_ajofields&task=items.setview&id=<?php echo $result->id ;?>" title="<?php echo $result->note ?>" class="icon-dash">
        <span class="icon-large <?php echo $result->icon ?>"></span><br>
        <span class="dash_title"><?php echo $result->title ?></span>
    </a>
     <?php   } ?>




<hr/>

                <h3><?php echo  JText::_('JADMINISTRATION') ?></h3>


                    <a href="index.php?option=com_ajofields&view=profiles" class="icon-dash">
                        <span class="icon-large icon-list"></span><br>
                        <span class="dash_title"><?php echo JText::_('COM_AJOFIELDS_COLUMN_SETS')?></span>
                    </a>
                    <a href="index.php?option=com_ajofields&task=profile.edit" class="icon-dash">
                        <span class="icon-large icon-new"></span><br>
                        <span class="dash_title"><?php echo JText::_('COM_AJOFIELDS_NEW_COLUMN_SET')?></span>
                    </a>



        </div>
        <div class="span5 pos-right">
            <div class="well well-small">
                <h3><?php echo JText::_('COM_AJOFIELDS'); ?></h3>
                <div class="">
                    <table class="table table-striped">
                        <tr>
                            <td rowspan="6" ><img src="../media/com_ajofields/images/logo.jpg" alt="Logo">
                            </td>
                        </tr>
                        <tr>
                            <td>Version:</td>
                            <td><?php echo   $this->helper->getVersion();?></td>
                        </tr>
                        <tr>
                            <td>Author:</td>
                            <td><a href="https://freakout.be" target="_blank">Danny Buytaert</a></td>
                        </tr>
                        <tr>
                            <td>Copyright:</td>
                            <td>&copy; Danny Buytaert, All rights reserved.</td>
                        </tr>
                        <tr>
                            <td>License:</td>
                            <td>GPLv2.0 or later</td>
                        </tr>
                        <tr>
                            <td>More info:</td>
                            <td><a href="https://joomlafreak.be" target="_blank">https://joomlafreak.be</a>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>

        </div>
    </div>

</div>
